UserMetricsInput::MetricUpdate Class Referenceabstract

An update to a Metric. More...

`#include <libusermetricsinput/MetricUpdate.h>`

Inheritance diagram for UserMetricsInput::MetricUpdate:

## Public Member Functions

| MetricUpdate (QObject *parent=0)
| This constructor cannot be used - the class is pure-virtual. More...
virtual | ~MetricUpdate ()
| Destructor. More...
virtual void | addData (double data)=0
| Add data to a UserMetricsInputMetricUpdate. More...
virtual void | addNull ()=0
| Add unknown data to an update. More...

## Detailed Description

An update to a Metric.

This is a short-lived class representing an update for a particular use to a Metric.

## Constructor & Destructor Documentation

UserMetricsInput::MetricUpdate::MetricUpdate | ( | QObject * | parent = `0` | ) |

explicit

This constructor cannot be used - the class is pure-virtual.

virtual UserMetricsInput::MetricUpdate::~MetricUpdate | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

virtual void UserMetricsInput::MetricUpdate::addData | ( | double | data | ) |

pure virtual

Add data to a UserMetricsInputMetricUpdate.

Parameters

  data | The double-valued data to add

Each call to this method appends a new day's data to the update. So the first call adds data for today, the second call adds data for yesterday, and so on.

virtual void UserMetricsInput::MetricUpdate::addNull | ( |  | ) |

pure virtual

Add unknown data to an update.

If data is not known for a particular day, then null can be added.

The documentation for this class was generated from the following file:

- include/libusermetricsinput/MetricUpdate.h